Classes

- bad_field_access
- bound_statement_tuple
- bound_statement_iterator_range
- buffer_params
- connection
- date
- datetime
- diagnostics
- error_with_diagnostics
- execution_state
- field
- field_view
- handshake_params
- metadata
- results
- resultset_view
- resultset
- row
- row_view
- rows
- rows_view
- statement
- static_execution_state
- static_results

Type aliases

- blob
- blob_view
- days
- error_code
- metadata_collection_view
- string_view
- tcp_connection
- tcp_ssl_connection
- time
- unix_connection
- unix_ssl_connection

Concepts

- ExecutionRequest
- ExecutionStateType
- FieldViewFwdIterator
- ResultsType
- SocketStream
- StaticRow
- Stream
- WritableFieldTuple

Enumerations

- client_errc
- column_type
- common_server_errc
- field_kind
- metadata_mode
- ssl_mode

Constants

- default_port
- default_port_string
- max_date
- min_date
- max_datetime
- min_datetime
- max_time
- min_time

Functions

- get_client_category
- get_common_server_category
- get_mysql_server_category
- get_mariadb_server_category
- make_error_code
- throw_on_error

Reference tables

- Dynamic interface type mappings
- ReadableField types
- WritableField types
- String encoding